doctype html

html
    - var title = "Course List"
    head
        title #{title}
        link(rel="stylesheet" type="text/css" href="bower_components/bootstrap/dist/css/bootstrap.min.css")
        link(rel="stylesheet" type="text/css" href="style.css")
        link(rel="icon" href="realdolmen-icon.png" type="image/png")
        script(type='text/javascript', src='bower_components/jquery/dist/jquery.min.js')
        script(type='text/javascript', src='bower_components/bootstrap/dist/js/bootstrap.min.js')
        script(type='text/javascript').
          $(function() {
            // On click
            $("input[type=checkbox].exercises").click(handleCheckbox);

            // Initial
            $("input[type=checkbox].exercises").each(handleCheckbox);

            function handleCheckbox() {
              var checked = $(this).prop('checked');
              var suffix = 'exercises=false';
              if (!checked) { // not checked means no exercises!
                $(this).prevAll('a.btn-default').each(function(index, element) {
                  var url=$(element).prop('href');
                  var param = suffix;
                  if(url.indexOf('?') > 0) { // when other parameters are set, use '&'
                    param = '&' + suffix;
                  } else { // when no parameters are set, use '?'
                    param = '?' + suffix;
                  }
                  $(element).prop('href', url + param);
                });
              } else {
                $(this).prevAll('a.btn-default').each(function(index, element) {
                  var url=$(element).prop('href');
                  if (url.indexOf(suffix) > 0) { // when exercises were set, remove them
                    $(element).prop('href', url.substring(0, url.indexOf(suffix)-1));
                  }
                });
              }
            }
          });
    body
        nav.navbar.navbar-inverse.navbar-static-top
            .container-fluid
                .navbar-fluid
                    .navbar-header
                        a.navbar-brand(href='http://www.realdolmen.com')
                            img(src='realdolmen-logo.png')
                .collapse.navbar-collapse
                    ul.nav.navbar-nav.navbar-right
                        li
                            a(href='java-software-instructions.txt') How to create a portable environment
                        li
                            a(href='https://mysites.realdolmen.com/personal/ndmbc65/Documents/Shared%20with%20Everyone/Overzicht%20cursussen.xlsx?Web=1') Course overview

        .container

            h1 #{title}
            div.alert.alert-warning
                | #[strong Warning!] Generating PDF documents is not concurrent #[small (do not render multiple at the same time)]!
            .row
                .col-md-12
                    table.table
                        tr
                            th Code
                            th Title
                            th Version
                            th Exercise Set
                            th Presentation
                            th Handouts
                            th Visible on Site
                            th Sharepoint
                            th Comments updated
                            th Update Needed

                            th Deprecated
                            th ERU-compatible
                            th C and I
                            th To do


                        each course in courses
                            tr(class="#{course.disabled ? 'danger' : 'success'}")
                                td
                                    a(href="https://education.realdolmen.com/en/Course/#{course.code}") #{course.code}
                                td
                                    strong #{course.title}
                                    | &nbsp;
                                    span.label.label-info #{course.modules.length} modules
                                td #{course.versionOfManual}
                                td #{course.exerciseSet}

                                td
                                    a.btn.btn-xs(class="#{course.disabled ? 'btn-danger' : 'btn-success'}", href="course.html?mode=presentation&course=#{course.code}")
                                        | Presentation

                                td
                                    a.btn.btn-xs.btn-default(href="course.html?mode=handouts&course=#{course.code}")
                                        | HTML
                                    | &nbsp;
                                    a.btn.btn-xs.btn-default(href="#{course.code}.pdf")
                                        | PDF
                                    | &nbsp;
                                    input.exercises(type='checkbox')
                                    | &nbsp; Exercises&nbsp;
                                    a.btn.btn-xs.btn-default(data-toggle='modal', data-target='#moreDialog-#{course.code}') More...
                                    .modal(id='moreDialog-#{course.code}')
                                        .modal-dialog
                                            .modal-content
                                                .modal-header
                                                    h2.modal-title #{course.title}
                                                .modal-body
                                                    div #[a(href='https://realdolmen.sharepoint.com/sites/Education/Course%20Manuals/Forms/i.aspx?id=%2Fsites%2FEducation%2FCourse%20Manuals%2F#{course.title}' target='_blank') Sharepoint document set] (if this link is dead, the title of the course should be renamed here or in Sharepoint)
                                                .modal-footer
                                                    button.btn.btn-primary(data-dismiss='modal') Close

                                td #{course.VisibleOnSite}
                                td #{course.Sharepoint}
                                td #{course.commentsUpdated}
                                td #{course.requiresUpdate}

                                td #{course.deprecated}
                                td #{course.eruCompatible}
                                td #{course.CandI}

                                td #{course.todo}


